\documentclass{standalone}
\usepackage[european,siunitx]{circuitikz}
\tikzstyle{loop}=[->,red!90!black!25]
\tikzstyle{loop label}=[loopcol,fill=white,scale=0.8,inner sep=1]


\begin{document}

\begin{circuitikz}[]
  \draw (0,3) to[battery2, l2_=$\varepsilon_1$ and $r_1$,i=$i_1$] (0,0)
  (0,3) to[R, l=$R_1$, a=$\SI{1}{\mega\ohm}$] (0,6)
  to[short, -*, f=$I_1$] (3,6)
  to[R=$R_2$] (3,3)
  (3,0) to[battery2, l2=$\varepsilon_2$ and $r_2$] (3,3)
  (3,0) to[short, *-] (0,0);

  \draw (3,6) to[short, f<=$I_3$] (6,6)
  to[R=$R_3$] (6,3)
  to[battery2, l2=$\varepsilon_3$ and $r_3$] (6,0)
  to[short] (3,0);
  
  \draw[rounded corners=12,loop] (0.3,0.3) |- (2.7,5.7) |- (0.4,0.2);

\end{circuitikz}

\end{document}
